> ## Documentation Index
> Fetch the complete documentation index at: https://developer.notchpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a customer



## OpenAPI

````yaml openapi.yaml post /customers
openapi: 3.1.0
info:
  title: Notch Pay API
  description: API for integrating payment and money transfer services into applications.
  version: 2.1.0
servers:
  - url: https://api.notchpay.co
    description: Production and Sandbox Environment
security: []
paths:
  /customers:
    post:
      summary: Create a customer
      operationId: createCustomer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  example: john@example.com
                phone:
                  type: string
                  example: 237600000000
                name:
                  type: string
                  example: John Doe
                company_name:
                  type: string
                  example: ACME Inc
                metadata:
                  type: object
                address:
                  type: object
                  properties:
                    country:
                      type: string
                      example: CM
                    state:
                      type: string
                    city:
                      type: string
                      example: Douala
                    postal_code:
                      type: string
                    address_line1:
                      type: string
                      example: 123 Main St
                    address_line2:
                      type: string
                billing:
                  type: object
                  properties:
                    country:
                      type: string
                      example: CM
                    state:
                      type: string
                    city:
                      type: string
                      example: Douala
                    postal_code:
                      type: string
                    address_line1:
                      type: string
                      example: 123 Main St
                    address_line2:
                      type: string
              oneOf:
                - required:
                    - email
                - required:
                    - phone
      responses:
        '201':
          description: Customer created
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 201
                  status:
                    type: string
                    example: Created
                  message:
                    type: string
                    example: Customer created successfully
                  customer: 8ee4beb7-4fc8-4fc3-94f8-dcd6aec29dcb
                required:
                  - code
                  - status
                  - message
                  - customer
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
      security:
        - ApiKeyAuth: []
        - SyncAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    SyncAuth:
      type: apiKey
      in: header
      name: X-Sync

````